%define	pkgname	memcached_functions_mysql
Name:		mysql-memcached-functions
Version: 	0.8
Release:	5.2
License: 	GPL
Group: 		Server
Summary: 	Memcached functions for mysql
URL: 		http://tangent.org/586/Memcached_Functions_for_MySQL.html
Source0: 	%{pkgname}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel libgcc gcc gcc-c++ 
BuildRequires:  libmemcached mysql-devel >= 5.0 pkgconfig
BuildRequires:	libmemcached-devel
BuildRequires:  mysql >= 5.0
Recommends:	memcached
Requires:	libmemcached mysql >= 5.0

%description
This is a set of MySQL UDFs (user defined functions) to work with memcached using libmemcached.
With these functions, you can get, set, append, prepend, delete, increment,
and decrement objects in memcached, provide statistics, and set which servers to use and which
behavior the server connections will use. These functions can be combined with MySQL triggers.
You can also use memcached as a global sequence generator for MySQL by making use of the increment function.
These functions are compatible with all versions of MySQL.

%prep
%setup -n %{pkgname}-%{version}

%configure --with-mysql=%{_bindir}/mysql_config

%build
%__make

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_libdir}/libmemcached_functions_mysql.a
%{_libdir}/libmemcached_functions_mysql.la
%{_libdir}/libmemcached_functions_mysql.so
%{_libdir}/libmemcached_functions_mysql.so.0
%{_libdir}/libmemcached_functions_mysql.so.0.0.0
%{_mandir}/man3/memc_append.3*
%{_mandir}/man3/memc_behavior_get.3*
%{_mandir}/man3/memc_behavior_set.3*
%{_mandir}/man3/memc_decrement.3*
%{_mandir}/man3/memc_get.3*
%{_mandir}/man3/memc_increment.3*
%{_mandir}/man3/memc_libmemcached_version.3*
%{_mandir}/man3/memc_list_behaviors.3*
%{_mandir}/man3/memc_list_distribution_types.3*
%{_mandir}/man3/memc_list_hash_types.3*
%{_mandir}/man3/memc_prepend.3*
%{_mandir}/man3/memc_servers_behavior_get.3*
%{_mandir}/man3/memc_servers_behavior_set.3*
%{_mandir}/man3/memc_servers_set.3*
%{_mandir}/man3/memc_set.3*
%{_mandir}/man3/memc_stat_get_keys.3*
%{_mandir}/man3/memc_stats.3*
%{_mandir}/man3/memc_udf_version.3*

%changelog
* Sun Feb 01 2009 Carsten Schoene <cs@linux-administrator.com>
- Initial Package, version 0.8
